%%
%% This is file `protokol.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% protokol.dtx  (with options: `class')
%% 
%% Copyright (C) 2004 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{praktikum}
    [2004/02/14 Document class for Physical Practicum Proceeding]
\LoadClass[a4paper,onecolumn,12pt]{article}
\usepackage[czech]{babel}
\usepackage[cp1250]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{calc}
\usepackage{layout}
\usepackage{graphicx}   
\usepackage{ae}

\setlength{\textwidth}{\paperwidth-5cm}
\setlength{\textheight}{\paperheight-5cm}
\setlength{\hoffset}{2.5cm-1in} 
\setlength{\voffset}{2.5cm-1in}
\setlength{\oddsidemargin}{0pt} 
\setlength{\evensidemargin}{0pt}
\setlength{\topmargin}{-1.2cm}
\setlength{\headsep}{-\topmargin-\headheight}
\setlength{\marginparsep}{5pt} 
\setlength{\marginparwidth}{2cm}
   
\setcounter{secnumdepth}{-1}

\pagestyle{empty}

\hfuzz = 1pt
\tolerance = 1000
\widowpenalty = 10000
\clubpenalty = 8000

\def\@jmeno{}
\def\@kod{}
\def\@rocnik{}
\def\@obor{}
\def\@skupina{}
\def\@labskup{}
\def\@spolupracoval{}
\def\@ucitel{}
\def\@merenodne{}
\def\@odevzdanodne{}
\def\@priprava{}
\def\@opravy{}
\def\@nazev{}
\def\@cislo{}

\def\jmeno #1{\def\@jmeno{#1}}
\def\kod #1{\def\@kod{#1}}
\def\rocnik #1{\def\@rocnik{#1}}
\def\obor #1{\def\@obor{#1}}
\def\skupina #1{\def\@skupina{#1}}
\def\labskup #1{\def\@labskup{#1}}
\def\spolupracoval #1{\def\@spolupracoval{#1}}
\def\ucitel #1{\def\@ucitel{#1}}
\def\merenodne #1{\def\@merenodne{#1}}
\def\odevzdanodne #1{\def\@odevzdanodne{#1}}
\def\priprava #1{\def\@priprava{#1}}
\def\opravy #1{\def\@opravy{#1}}
\def\nazev #1{\def\@nazev{#1}}
\def\cislo #1{\def\@cislo{#1}}

\def\hposuna{\hspace*{-2\fboxrule}}
\def\hposunb{\hspace*{-4\fboxrule}}
\def\hposunc{\hspace*{-1\fboxrule}}
\def\hposund{\hspace*{-5\fboxrule}}
\def\vposuna{\vspace*{-2\fboxrule}}
\def\vposunb{\vspace*{-1.25\fboxrule}}
\def\vposunc{\vspace*{+1.25\fboxrule}}

\renewcommand{\maketitle}{%
  \begin{center}%
  \fboxrule=1mm%
  \fbox{\parbox[t][5,4cm]{16cm}{%
    \vposuna\hposuna\fbox{\parbox[b][1,8cm][c]{7cm}{%
      \begin{center}%
      \large{\mbox{\textbf{FYZIKLN PRAKTIKUM}}}\par\textbf{stav fyziky}\par FEKT VUT BRNO%
      \end{center}}}%
    \vposunb%
    \fboxrule=0.35mm%
    \hposunc%
    \fbox{\parbox[b][1,85cm][c]{8,675cm}{%
      \hposunb\fbox{\parbox[t][0,875cm]{6,675cm}{%
        \raggedright{\footnotesize{\textbf{Jmno}}}\par%
        \raggedleft{\textbf{\@jmeno}}}}%
      \hposunc\fbox{\parbox[t][0,875cm]{1,75cm}{%
        \raggedright{\footnotesize{Kd}}\par\raggedleft{\textbf{\@kod}}}}%
      \vposuna\par%
      \hposunb\vposuna\fbox{\parbox[t][0,75cm]{2,68cm}{%
        \raggedright{\footnotesize{Ronk}}\par\raggedleft{\@rocnik}}}%
      \hposunc\fbox{\parbox[t][0,75cm]{1,75cm}{%
        \raggedright{\footnotesize{Obor}}\par\raggedleft{\@obor}}}%
      \hposunc\fbox{\parbox[t][0,75cm]{1,75cm}{%
        \raggedright{\footnotesize{Skupina}}\par\raggedleft{\@skupina}}}%
      \hposunc\fbox{\parbox[t][0,75cm]{1,75cm}{%
        \raggedright{\footnotesize{Lab. skup.}}\par\raggedleft{\@labskup}}}%
    \par}}\\%
    \vposuna\hposunb\fbox{\parbox[b][1,8cm][c]{7,075cm}{%
      \hposunb\fbox{\parbox[t][0,8cm]{7,05cm}{%
        \raggedright{\footnotesize{Spolupracoval}}\par\raggedleft{\@spolupracoval}}}%
      \vposuna\par\hposunb\fbox{\parbox[t][0,8cm]{3,35cm}{%
        \raggedright{\footnotesize{Pprava}}\par\raggedleft{\@priprava}}}%
      \hposunc\fbox{\parbox[t][0,8cm]{3,45cm}{%
        \raggedright{\footnotesize{Opravy}}\par\raggedleft{\@opravy}}}}} %
    \hposunb\fbox{\parbox[b][1,8cm][c]{8,72cm}{%
      \vposunc\hposund\fbox{\parbox[t][0,79cm]{4,720cm}{%
        \raggedright{\footnotesize{Meno dne}}\par\raggedleft{\@merenodne}}}%
      \hposunc\fbox{\parbox[t][0,79cm]{3,75cm}{%
        \raggedright{\footnotesize{Odevzdno dne}}\par\raggedleft{\@odevzdanodne}}}%
      \vposuna\par\hposund\fbox{\parbox[t][0,8cm]{4,720cm}{%
        \raggedright{\footnotesize{Uitel}}\par\raggedleft{\footnotesize\@ucitel}}}%
      \hposunc\fbox{\parbox[t][0,8cm]{3,75cm}{%
        \raggedright{\footnotesize{\textbf{Hodnocen}}}\par}}}}%
    \fboxrule=1mm%
    \par\hposuna\fbox{\parbox[b][1,2cm][t]{14cm}{%
      \raggedright{\footnotesize{Nzev lohy}}\par\centering{\Large{\textbf{\@nazev}}}}}%
    \hposunc\fbox{\parbox[b][1,2cm][t]{1,675cm}{%
      \centering{\footnotesize{. lohy}}\par\centering{\large{\textbf{\@cislo}}}}}\par%
  }}%
  \end{center}%
}

\catcode`\"=\active
\def"{\bgroup\quotedblbase\def"{\textquotedblleft\egroup}}

\newcommand{\uv}[1]{\raisebox{-1.3ex}[0ex][0ex]{''}\kern-.1ex#1\kern-.1ex``}

\AtBeginDocument{\catcode`\"=\active}
\endinput
%%
%% End of file `protokol.cls'. 